MonitorsFtp monitors
Get FTP Monitor Details
Returns the FTP monitor detail page data in one call (mega endpoint).
GET /api/ftp-monitors/:ftpMonitorPublicId/details
Authentication
Authorization: Bearer <token>
Parameters
ftpMonitorPublicId(Path, required): FTP monitor public UUID.
Query Parameters
range(optional):day(default),week,month,yeardate(optional): Reference date (ISO string)startDate/endDate(optional): Override the time window (ISO strings)granularity(optional): When omitted the server may aggregate automatically for large time ranges. Usegranularity=rawto force raw data.
Example (cURL)
BASE_URL="https://uptimeify.io"
TOKEN="<your-api-token>"
curl -X GET \
"$BASE_URL/api/ftp-monitors/55555555-5555-4555-8555-555555555555/details?range=day" \
-H "Authorization: Bearer $TOKEN"Example Response (shape)
The response is a single object with these top-level keys:
{
"ftpMonitorId": 400,
"monitor": {},
"latestCheck": {},
"uptimeStats": {
"day": "100.00",
"month": "100.00",
"year": "100.00",
"dayAvgResponse": 120,
"monthAvgResponse": 130,
"yearAvgResponse": 140
},
"uptimeStatsMeta": {},
"monitoringData": {
"responseTimeData": [],
"statusData": [],
"uptimePercentage": "100.00",
"checkSuccessRatePercentage": "100.00",
"totalChecks": 10,
"successfulChecks": 10
},
"incidents": {
"history": [],
"total": 0,
"ongoing": 0,
"totalDowntime": "0s"
},
"alerts": {
"history": [],
"total": 0,
"notificationContext": {}
},
"testResultLog": null,
"maintenance": {
"inMaintenance": false,
"activeWindows": [],
"allWindows": []
}
}Common Errors
400 Invalid FTP monitor public ID (UUID)ifftpMonitorPublicIdis invalid401 Unauthorizedif you are not authenticated403 Forbiddenif you do not have access500 Failed to fetch FTP monitor detailson server errors